From 4baacce8411c88d3fba3b4237770c907e177b02b Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Feb 10 2017 09:06:54 +0000
Subject: [PATCH 743/1001] Implement fixes from jcline's review


---

diff --git a/hubs/default_config.py b/hubs/default_config.py
index be038ad..b600b29 100644
--- a/hubs/default_config.py
+++ b/hubs/default_config.py
@@ -35,26 +35,26 @@ SOURCE_URL = 'https://pagure.io/fedora-hubs/blob/develop/f'  # /hubs/widgets/bad
 
 
 WIDGETS = [
-    'hubs.widgets.dummy.Dummy',
-    'hubs.widgets.stats.Stats',
-    'hubs.widgets.rules.Rules',
-    'hubs.widgets.sticky.Sticky',
-    'hubs.widgets.about.About',
-    'hubs.widgets.badges.Badges',
-    'hubs.widgets.library.Library',
-    'hubs.widgets.linechart.Linechart',
-    'hubs.widgets.fedmsgstats.FedmsgStats',
-    'hubs.widgets.feed.Feed',
-    'hubs.widgets.subscriptions.Subscriptions',
-    'hubs.widgets.meetings.Meetings',
-    'hubs.widgets.pagure_pr.PagurePRs',
-    'hubs.widgets.github_pr.GitHubPRs',
-    'hubs.widgets.pagureissues.PagureIssues',
-    'hubs.widgets.githubissues.GitHubIssues',
-    'hubs.widgets.bugzilla.Bugzilla',
-    'hubs.widgets.fhosted.FedoraHosted',
-    'hubs.widgets.memberships.Memberships',
-    'hubs.widgets.contact.Contact',
-    'hubs.widgets.workflow.pendingacls.PendingACLs',
-    'hubs.widgets.workflow.updates2stable.Updates2Stable',
+    'hubs.widgets.dummy:Dummy',
+    'hubs.widgets.stats:Stats',
+    'hubs.widgets.rules:Rules',
+    'hubs.widgets.sticky:Sticky',
+    'hubs.widgets.about:About',
+    'hubs.widgets.badges:Badges',
+    'hubs.widgets.library:Library',
+    'hubs.widgets.linechart:Linechart',
+    'hubs.widgets.fedmsgstats:FedmsgStats',
+    'hubs.widgets.feed:Feed',
+    'hubs.widgets.subscriptions:Subscriptions',
+    'hubs.widgets.meetings:Meetings',
+    'hubs.widgets.pagure_pr:PagurePRs',
+    'hubs.widgets.github_pr:GitHubPRs',
+    'hubs.widgets.pagureissues:PagureIssues',
+    'hubs.widgets.githubissues:GitHubIssues',
+    'hubs.widgets.bugzilla:Bugzilla',
+    'hubs.widgets.fhosted:FedoraHosted',
+    'hubs.widgets.memberships:Memberships',
+    'hubs.widgets.contact:Contact',
+    'hubs.widgets.workflow.pendingacls:PendingACLs',
+    'hubs.widgets.workflow.updates2stable:Updates2Stable',
     ]
diff --git a/hubs/widgets/__init__.py b/hubs/widgets/__init__.py
index 1ec88bc..76f17b0 100644
--- a/hubs/widgets/__init__.py
+++ b/hubs/widgets/__init__.py
@@ -33,10 +33,12 @@ A widget view is a class which inherits from the
 :py:class:`hubs.widgets.view.WidgetView` class.  A widget can have one or more
 of them.
 
-Widget views can make use of templates following the Jinja2 engine syntax.  The
-templates are looked for in the widget's ``templates`` subdirectrory first, and
-then in the generic ``hubs/widgets/templates/`` directory.  They can make use
-of any Jinja2 feature, including inheritance, macros, etc.
+Widget views can make use of templates following the `Jinja2`_ engine syntax.
+The templates are looked for in the widget's ``templates`` subdirectrory first,
+and then in the generic ``hubs/widgets/templates/`` directory.  They can make
+use of any Jinja2 feature, including inheritance, macros, etc.
+
+.. _Jinja2: http://jinja.pocoo.org/docs/
 
 If you want to add filters to youre widget's Jinja2 environment, you can do so
 by overriding the widget's
diff --git a/hubs/widgets/base.py b/hubs/widgets/base.py
index 3d27813..ac50fd3 100644
--- a/hubs/widgets/base.py
+++ b/hubs/widgets/base.py
@@ -46,7 +46,7 @@ class Widget(object):
     """
     The main widget class, you must subclass it to create a widget.
 
-    Args:
+    Arguments:
         name (str): The widget name. It will not be displayed in the UI, but
             will appear in some URLs, so be careful to only use simple,
             URL-compatible characters.
diff --git a/hubs/widgets/caching.py b/hubs/widgets/caching.py
index c8a56e8..9067410 100644
--- a/hubs/widgets/caching.py
+++ b/hubs/widgets/caching.py
@@ -50,15 +50,13 @@ class CachedFunction(object):
     takes the bus message as only argument, and returns ``True`` if the cache
     should be rebuild, ``False`` otherwise.
 
-    To call the function, instanciate the class and execute it. You may also
+    To call the function, instantiate the class and execute it. You may also
     call the :py:meth:`.get_data` method.
 
     Args:
         instance (hubs.models.Widget): The widget instance.
     """
 
-    # invalidate_filter = {}
-
     def __init__(self, instance):
         self.instance = instance
 
@@ -81,28 +79,12 @@ class CachedFunction(object):
 
     def get_data(self):
         key = self.get_cache_key()
-        # log.debug("Accessing cache key %s", key)
+        log.debug("Accessing cache key %s", key)
         return cache.get_or_create(
-            key, lambda: self.execute())
+            key, self.execute)
 
     __call__ = get_data
 
-    # def _get_topic(self, message):
-    #     return message['topic']
-
-    # def _get_category(self, message):
-    #     return message['topic'].split('.')[3]
-
-    # def pass_filter(self, message):
-    #     topic_filter = self.invalidate_filter.get("topic")
-    #     if topic_filter and self._get_topic(message) not in topic_filter:
-    #         return False
-    #     category_filter = self.invalidate_filter.get("category")
-    #     if category_filter and \
-    #             self._get_category(message) not in category_filter:
-    #         return False
-    #     return True
-
     def should_invalidate(self, message):
         """
         Tell the cache invalidator if the received message should invalidate
@@ -114,8 +96,6 @@ class CachedFunction(object):
         Returns:
             bool: If ``True``, the cache will be rebuilt.
         """
-        # if not self._pass_filter(message):
-        #     return False
         return True
 
     def is_cached(self):
diff --git a/hubs/widgets/registry.py b/hubs/widgets/registry.py
index ad4d494..fe32607 100644
--- a/hubs/widgets/registry.py
+++ b/hubs/widgets/registry.py
@@ -14,6 +14,9 @@ class WidgetRegistry(UserDict):
     It behaves like a dictionary where widget names are keys and widget class
     instances are values.  There are additional methods to register widgets and
     widget-specific routes.
+
+    Widgets are registered using their class path in the following format:
+    `python.path.to.module:TheWidgetClass`.
     """
 
     def register_list(self, widget_list):
@@ -33,9 +36,10 @@ class WidgetRegistry(UserDict):
 
         Args:
             widget_path (str): Python path to the subclass of
-                :py:class:`hubs.widgets.base.Widget`.
+                :py:class:`hubs.widgets.base.Widget`. The format is
+                `python.path.to.module:TheWidgetClass`.
         """
-        mod_path, _, cls_name = widget_path.rpartition('.')
+        mod_path, cls_name = widget_path.split(':', 1)
         mod = import_module(mod_path)
         try:
             widget_class = getattr(mod, cls_name)

